Subject: bug#26958: Can we make wavy underlines scale like straight ones?

From: Drew Adams <[email-masked]>
Date: Tue, 16 May 2017 21:14:24 -0700 (PDT)

> Straight underlines get thicker when font size increases, but wavy
> underlines do not.  The problem is particularly visible on hi-resolution
> displays, where wavy underlines look really tiny. This problem can be
> observed on all displays by running the following and pressing C-x C-= a few
> times:
> 
> (font-lock-mode -1)
> (insert (propertize "AAAAA" 'face '(:underline (:style line)))
>         "\n" (propertize "AAAAA" 'face '(:underline (:style wave))))

FWIW, on Windows I see neither straight nor wavy underline thicken.
They both continue to have the same line width (thickness) when
text-scaled.

Should they not stay the same?  Should they thicken?  Why?

I'm not on a "highdpi", I imagine.  But why should that make
difference as to whether an underline should change thickness
as the text is scaled?

What about :overline?  It has no :wavy property, but should
it too thicken when the text is scaled up?

And :box?  :box has a :line-width property.  Is that relevant
here?  What should the behavior be for :box?  What should it
be for attributes such as :underline or :overline or
:strike-through, which don't have a :line-width property?

It doesn't seem as if the right design is obvious.

Note that the first URL you cite does not ask necessarily for
the wavy underline to scale.  It explicitly asks about
customizing to specify the line width.

Maybe that's what the enhancement request should be: provide
:line-width for :underline, like we do for :box.  And perhaps
for :overline and :strike-through?

The first question is whether such line widths should respond
to scaling.  Dunno.